Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.format
Interface TextFormats

All Superinterfaces:
  Cloneable, ElementFormats

All Known Implementing Classes:
  ConcreteTextFormats, LegendFormats, NodeFormats, ScaleBarFormats, TextLabelFormats

    public interface TextFormats

extends ElementFormats

Field Summary
`static int` | `BOLD`
`static String` | `DEFAULT_DECIMAL_FORMAT_EXPR`
`static String` | `DEFAULT_FONT_NAME`
`static Locale` | `DEFAULT_LOCALE`
`static Color` | `DEFAULT_TEXT_COLOR`
`static float` | `DEFAULT_TEXT_HEIGHT_IN_MM`
`static int` | `ITALIC`
`static int` | `PLAIN`
`static int` | `UNDERLINE`

Method Summary
`void` | `addTextStyle(int style)`
`void` | `assignTextFormats(TextFormats other)`
`TextFormats` | `clone()`
`DecimalFormat` | `getDecimalFormat()`
`float` | `getDescent()`
`Font` | `getFont(float pixelsPerMillimeter)`
`String` | `getFontName()`
`Locale` | `getLocale()` Return the local object used in the decimal formats.
`Color` | `getTextColor()`
`DistanceValue` | `getTextHeight()`
`int` | `getTextStyle()`
`boolean` | `hasTextStyle(int style)`
`void` | `removeTextStyle(int style)`
`void` | `setDecimalFormat(DecimalFormat decimalFormat, Locale locale)` Sets a new decimal format object.
`void` | `setFontName(String fontName)`
`void` | `setLocale(Locale locale)` Sets the local object which is used to
`void` | `setTextColor(Color textColor)`
`void` | `setTextStyle(int style)`

Field Detail

### DEFAULT_FONT_NAME

    static final String DEFAULT_FONT_NAME

See Also:
  Constant Field Values

### DEFAULT_TEXT_HEIGHT_IN_MM

    static final float DEFAULT_TEXT_HEIGHT_IN_MM

See Also:
  Constant Field Values

### DEFAULT_TEXT_COLOR

    static final Color DEFAULT_TEXT_COLOR

### DEFAULT_LOCALE

    static final Locale DEFAULT_LOCALE

### DEFAULT_DECIMAL_FORMAT_EXPR

    static final String DEFAULT_DECIMAL_FORMAT_EXPR

See Also:
  Constant Field Values

### PLAIN

    static final int PLAIN

See Also:
  Constant Field Values

### BOLD

    static final int BOLD

See Also:
  Constant Field Values

### ITALIC

    static final int ITALIC

See Also:
  Constant Field Values

### UNDERLINE

    static final int UNDERLINE

See Also:
  Constant Field Values

Method Detail

### getFontName

    String getFontName()

### setFontName

    void setFontName(String fontName)

### getTextHeight

    DistanceValue getTextHeight()

### getDescent

    float getDescent()

### hasTextStyle

    boolean hasTextStyle(int style)

### getTextStyle

    int getTextStyle()

### setTextStyle

    void setTextStyle(int style)

### addTextStyle

    void addTextStyle(int style)

### removeTextStyle

    void removeTextStyle(int style)

### getFont

    Font getFont(float pixelsPerMillimeter)

### getTextColor

    Color getTextColor()

### setTextColor

    void setTextColor(Color textColor)

### getLocale

    Locale getLocale()

  Return the local object used in the decimal formats.

  Returns:

### setLocale

    void setLocale(Locale locale)

  Sets the local object which is used to

  Parameters:
    `locale` -

### getDecimalFormat

    DecimalFormat getDecimalFormat()

### setDecimalFormat

    void setDecimalFormat(DecimalFormat decimalFormat,
                          Locale locale)

  Sets a new decimal format object. The provided local object will be used to determine the decimal format symbols. (This means that the decimal formats object may be changed after being passed here.)

  Parameters:
    `decimalFormat` - the new decimal format object
    `locale` - the locale object which was used to create the new decimal formats
  Throws:
    `IllegalArgumentException` - if one of the parameters is `null`

### assignTextFormats

    void assignTextFormats(TextFormats other)

### clone

    TextFormats clone()

  Specified by:
    `clone` in interface `ElementFormats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD